Package org.globus.myproxy

# Class InfoParams

java.lang.Object
org.globus.myproxy.Params
org.globus.myproxy.InfoParams

All Implemented Interfaces:
  `MyProxyConstants`

public class InfoParams extends Params
Holds the parameters for the `info` operation.

## Field Summary

### Fields inherited from class org.globus.myproxy.Params

`lifetime, passphrase, username`

### Fields inherited from interface org.globus.myproxy.MyProxyConstants

`COMMAND, CRED_DESC, CRED_NAME, CRED_RETRIEVER_TRUSTED, CRLF, DEFAULT_LIFETIME, LIFETIME, MIN_PASSWORD_LENGTH, MYPROXY_PROTOCOL_VERSION, NEW_PHRASE, PASSPHRASE, RENEWER, RETRIEVER, TRUSTROOTS, USERNAME, VERSION, VOMSES, VONAME`

## Constructor Summary

Constructors
Constructor
Description
`InfoParams()`

## Method Summary

### Methods inherited from class org.globus.myproxy.Params

`add, checkPassphrase, getLifetime, getPassphrase, getUserName, makeRequest, makeRequest, setCommand, setLifetime, setPassphrase, setUserName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InfoParams

public InfoParams()